# SimVision Command Script (Fri Jul 09 08:41:52 CEST 2004)
input opcode.sv

#
# Design Browser Windows
#
if {[window find -match exact -name "Design Browser 1"] == {}} {
    window new DesignBrowser -name "Design Browser 1" -geometry 700x500+0+0
} else {
    window geometry "Design Browser 1" 700x500+0+0
}
window target "Design Browser 1" on
browser using "Design Browser 1"
browser set -scope {simulator:::}

#
# Waveform Windows
#
if {[window find -match exact -name "Waveform 1"] == {}} {
    window new WaveWindow -name "Waveform 1" -geometry 1280x768+0+270
} else {
    window geometry "Waveform 1" 1280x768+0+270
}
window target "Waveform 1" on
waveform using "Waveform 1"
waveform set \
    -primarycursor "TimeA" \
    -signalnames name \
    -signalwidth 200 \
    -units ms \
    -valuewidth 80

set id [waveform add -signals [list :clockI:clk500ms \
	:clockI:clk1s \
	:clockI:set_alarm \
	:clockI:set_time \
	:clockI:set_hrs \
	:clockI:set_mins \
	:clockI:alarm_tog \
	:clockI:disp_date \
	:clockI:disp_wday \
	:clockI:dcfsig \
	:clockI:dcfload \
	:clockI:dcfok \
	:clockI:dcf_hrs10 \
	:clockI:dcf_hrs1 \
	:clockI:dcf_mins10 \
	:clockI:dcf_mins1 \
	:clockI:dcf_mesz \
	:clockI:dcf_wday \
	:clockI:dcf_day10 \
	:clockI:dcf_day1 \
	:clockI:dcf_month10 \
	:clockI:dcf_month1 \
	:clockI:dcf_year10 \
	:clockI:dcf_year1 \
	:clockI:ala_hrs10 \
	:clockI:ala_hrs1 \
	:clockI:ala_mins10 \
	:clockI:ala_mins1 \
	:clockI:alarm_act \
	:clockI:alarm_out \
	:clockI:tim_hrs10 \
	:clockI:tim_hrs1 \
	:clockI:tim_mins10 \
	:clockI:tim_mins1 \
	:clockI:tim_secs10 \
	:clockI:tim_secs1]]

#
# Source Browser Windows
#
if {[window find -match exact -name "Source Browser 1"] == {}} {
    window new SrcBrowser -name "Source Browser 1" -geometry 700x500+572+0
} else {
    window geometry "Source Browser 1" 700x500+572+0
}
window target "Source Browser 1" on
srcbrowser using {Source Browser 1}
srcbrowser set \
    -primarycursor "TimeA" \
    -units ms \
    -radix default \
    -showstrength 1 \
    -moduleonly 0 \
    -showcallstack 0

srcbrowser open -scope simulator:::
